Subject: Building test plugins

From: Reuben Thomas <[email-masked]>
Date: Wed, 4 Jul 2012 21:43:24 +0100

I have a library that I want to build just for tests. Hence, I add it
to check_LTLIBRARIES. It's a plugin, so I want the .so (or .dll or
whatever) to be built, but it isn't!

If I instead add the library to pkglib_LTLIBRARIES, then the shared
object is built, but the test library is installed, which is not what
I want.

Reading the automake & libtool manuals, I can't see anything about
what exactly triggers building of the shared object; can someone tell
me what I should do in this instance to get a shared object for tests
only?

-- 
http://rrt.sc3d.org